clear
# delimit;
set more off;
capture log close;
cd "H:\Floods\Katrina\AEJ Policy Submission\Revision 2 - Final\Justins Zipcode Tables";
log using "../logs/neighborhood_tables.log", replace;





*** Table 6 and Appendix Table 4 ***;

    /* The statistics for Table 6 in the text and Appendix Table 4
	   are compiled in the file below */;

    /* Here is the list of zip codes by neighborhood:
	   neighborhood 1: 70126, 70127, 70128, 70129
	   neighborhood 2: 70117
	   neighborhood 3: 70148, 70122, 70124
	   neighborhood 4: 70114, 70131
       neighborhood 5: 70115, 70118, 70125, 70130
	   neighborhood 6: 70112, 70113, 70116, 70119, 70163
	   neighborhood 7: 70032, 70043, 70075, 70085, 70092
	   neighborhood 8: 70001, 70005, 70121
    */;
    
	* File with neighborhood-level statistics;
	use "../raw_data/neighborhood_stats", replace;
	
	
	
*** Appendix Table 5 ***;  
	  
	use "../raw_data/migration_rebuild", clear;
	
  * Appendix Table 5, Column 1 (zip-level, no controls);
	reg same_blk_3yr claim_to_val ln_mortgage_bal 
		depth_proxy pif04_byunit [aweight = total], robust;
  
  * Appendix Table 5, Column 2 (zip-level, controls); 
	reg same_blk_3yr claim_to_val ln_mortgage_bal 
		depth_proxy pif04_byunit 
		riskscore del90day povrate ownerocc medinc05
		age age_sq age_cub
		over65 africanamer hispanic college [aweight = total], robust;

				
				
*** Appendix Table 6 ***;	
	
	use "../raw_data/migration_rebuild", clear;
	
  * Appendix Table 6, Column 1 (zip-level, no controls);
	reg dam2_drebuiltcdamage2 claim_to_val ln_mortgage_bal 
		depth_proxy pif04_byunit [aweight = dam2_numparcels], robust;
		
  * Appendix Table 6, Column 2 (zip-level, controls);
	reg dam2_drebuiltcdamage2 claim_to_val ln_mortgage_bal 
		depth_proxy pif04_byunit 
		age age_sq age_cub
		over65 africanamer hispanic college [aweight = dam2_numparcels], robust;
	
	
	
	
	
log close;
