# delimit;


* This file creates bal variables needed from extracted files;
* It needs crtr_attr89-crtr_attr186;
* balance variables;

* Our naming convention is: measure_account_delinquency;

* the loop structure would look as such, but we will do it by brute force;
* Loop ;
* measure = num gt1 bal (note next 4 vars do not have delinquency = tot)  gt1c balc frbal frnum;
*   account = all autof autob bankc consf fmrtg helin helre retal stdln other auto bcret home home2 exhome exhome2 exauto;
*      delinquency = tot 30 60 90 120 der;
* also add pmt (payment) and hic (high credit) variables at the end;


* Replace missing balance variables with zeroes;
* Replace values coded as missing with missing values;
forvalues v = 89/187 {;
  replace crtr_attr`v' = 0 if crtr_attr`v' == . /*& num_all_tot ~= .*/;
  replace crtr_attr`v' = . if crtr_attr`v' >= 9999990;
};

* Balance variables;
gen bal_all_tot = crtr_attr89 + crtr_attr90 + crtr_attr91 + crtr_attr92 + crtr_attr93 + crtr_attr94;
gen bal_all_90 = crtr_attr92 + crtr_attr93 + crtr_attr94;

drop crtr_attr89;
drop crtr_attr90-crtr_attr94;

gen bal_autof_tot = crtr_attr95 + crtr_attr96 + crtr_attr97 + crtr_attr98 + crtr_attr99 + crtr_attr100;
gen bal_autof_90 = crtr_attr98 + crtr_attr99 + crtr_attr100;

drop crtr_attr95-crtr_attr100;

gen bal_autob_tot = crtr_attr101 + crtr_attr102 + crtr_attr103 + crtr_attr104 + crtr_attr105 + crtr_attr106;
gen bal_autob_90 = crtr_attr104 + crtr_attr105 + crtr_attr106;

drop crtr_attr101-crtr_attr106;

gen bal_bankc_tot = crtr_attr107 + crtr_attr108 + crtr_attr109 + crtr_attr110 + crtr_attr111 + crtr_attr112;
gen bal_bankc_90 = crtr_attr110 + crtr_attr111 + crtr_attr112;

drop crtr_attr107-crtr_attr112;

gen bal_consf_tot = crtr_attr113 + crtr_attr114 + crtr_attr115 + crtr_attr116 + crtr_attr117 + crtr_attr118;
gen bal_consf_90 = crtr_attr116 + crtr_attr117 + crtr_attr118;

drop crtr_attr113-crtr_attr118;

gen bal_fmrtg_tot = crtr_attr119 + crtr_attr120 + crtr_attr121 + crtr_attr122 + crtr_attr123 + crtr_attr124;
gen bal_fmrtg_90 = crtr_attr122 + crtr_attr123 + crtr_attr124;

drop crtr_attr119-crtr_attr124;

gen bal_helin_tot = crtr_attr125 + crtr_attr126 + crtr_attr127 + crtr_attr128 + crtr_attr129 + crtr_attr130;
gen bal_helin_90 = crtr_attr128 + crtr_attr129 + crtr_attr130;

drop crtr_attr125-crtr_attr130;

gen bal_helre_tot = crtr_attr131 + crtr_attr132 + crtr_attr133 + crtr_attr134 + crtr_attr135 + crtr_attr136;
gen bal_helre_90 = crtr_attr134 + crtr_attr135 + crtr_attr136;

drop crtr_attr131-crtr_attr136;

gen bal_retal_tot = crtr_attr137 + crtr_attr138 + crtr_attr139 + crtr_attr140 + crtr_attr141 + crtr_attr142;
gen bal_retal_90 = crtr_attr140 + crtr_attr141 + crtr_attr142;

drop crtr_attr137-crtr_attr142;

gen bal_stdln_tot = crtr_attr143 + crtr_attr144 + crtr_attr145 + crtr_attr146 + crtr_attr147 + crtr_attr148;
gen bal_stdln_90 = crtr_attr146 + crtr_attr147 + crtr_attr148;

drop crtr_attr143-crtr_attr148;

gen bal_other_tot = crtr_attr149 + crtr_attr150 + crtr_attr151 + crtr_attr152 + crtr_attr153 + crtr_attr154;
gen bal_other_90 = crtr_attr152 + crtr_attr153 + crtr_attr154;

drop crtr_attr149-crtr_attr154;

rename crtr_attr155 pmt_all_tot;
rename crtr_attr156 pmt_autof_tot;
rename crtr_attr157 pmt_autob_tot;
rename crtr_attr158 pmt_bankc_tot;
rename crtr_attr159 pmt_consf_tot;
rename crtr_attr160 pmt_fmrtg_tot;
rename crtr_attr161 pmt_retal_tot;
rename crtr_attr162 pmt_helin_tot;
rename crtr_attr163 pmt_helre_tot;
rename crtr_attr164 pmt_stdln_tot;
rename crtr_attr165 pmt_other_tot;

drop crtr_attr166-crtr_attr176;

rename crtr_attr177 hic_all_tot;
rename crtr_attr178 hic_autof_tot;
rename crtr_attr179 hic_autob_tot;
rename crtr_attr180 hic_bankc_tot;
rename crtr_attr181 hic_consf_tot;
rename crtr_attr182 hic_fmrtg_tot;
rename crtr_attr183 hic_retal_tot;
rename crtr_attr184 hic_helin_tot;
rename crtr_attr185 hic_helre_tot;
rename crtr_attr186 hic_stdln_tot;
rename crtr_attr187 hic_other_tot;

compress;

gen pmt_auto_tot = pmt_autof_tot + pmt_autob_tot;
gen pmt_bcret_tot = pmt_bankc_tot + pmt_retal_tot;
gen pmt_home_tot = pmt_fmrtg_tot + pmt_helin_tot + pmt_helre_tot;
gen pmt_exhome_tot = pmt_auto_tot + pmt_bcret_tot + pmt_consf_tot + pmt_stdln_tot + pmt_other_tot;

compress;

gen hic_auto_tot = hic_autof_tot + hic_autob_tot;
gen hic_bcret_tot = hic_bankc_tot + hic_retal_tot;
gen hic_home_tot = hic_fmrtg_tot + hic_helin_tot + hic_helre_tot;
gen hic_exhome_tot = hic_auto_tot + hic_bcret_tot + hic_consf_tot + hic_stdln_tot + hic_other_tot;


foreach del in tot 90 {;
  gen bal_auto_`del' = bal_autof_`del' + bal_autob_`del';
  gen bal_bcret_`del' = bal_bankc_`del' + bal_retal_`del';
  gen bal_home_`del' = bal_fmrtg_`del' + bal_helin_`del' + bal_helre_`del';
  gen bal_exhome_`del' = bal_auto_`del' + bal_bcret_`del' + bal_consf_`del' + bal_stdln_`del' + bal_other_`del';
};

compress;

